## gkl 0.8.5+dfsg

=== debian/changelog ===
gkl (0.8.5+dfsg-2) unstable; urgency=medium

  * Set arch for package (Closes: #912251). 

 -- Olivier Sallou <osallou@debian.org>  Thu, 17 Jan 2019 11:12:57 +0000

gkl (0.8.5+dfsg-1) unstable; urgency=medium

  * New package (Closes: #897614) 

 -- Olivier Sallou <osallou@debian.org>  Thu, 03 May 2018 15:06:19 +0000
