=== debian/control ===
Source: gkl
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: java
Priority: optional
Build-Depends: default-jdk (>= 2:1.9~),
               debhelper (>= 11~),
               javahelper,
               gradle-debian-helper,
               maven-repo-helper,
               yasm,
               zlib1g-dev,
               testng,
               default-jdk-doc,
               liblog4j2-java,
               libhtsjdk-java (>=2.14.3~),
               libgatk-native-bindings-java,
               cmake
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/java-team/gkl
Vcs-Git: https://salsa.debian.org/java-team/gkl.git
Homepage: https://github.com/Intel-HLS/GKL


Package: libgkl-java
Architecture: amd64
Section: java
Depends: ${misc:Depends},
         ${maven:Depends},
         libgkl-jni
Recommends: ${java:Recommends},
Description: Java library to manipulate SAM and BAM files
 Java library with optimized versions of compute kernels used in genomics
 applications like GATK and HTSJDK.
 These kernels are optimized to run on Intel Architecture
 (AVX, AVX2, AVX-512, multicore, and FPGA) under 64-bit Linux.

Package: libgkl-jni
Architecture: amd64
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: native libraries of Java library to manipulate SAM and BAM files
 Java library with optimized versions of compute kernels used in genomics
 applications like GATK and HTSJDK.
 These kernels are optimized to run on Intel Architecture
 (AVX, AVX2, AVX-512, multicore, and FPGA) under 64-bit Linux.
 .
 This package contains the native libraries used by libglk-java
