=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gkl-$1.tar.gz/,uversionmangle=s/-rc/~rc/,repacksuffix=+dfsg,repack,compression=xz \
  https://github.com/Intel-HLS/GKL/releases .*/v?(\d\S*)\.tar\.gz
