## gkl 0.8.6%2Bdfsg

=== debian/changelog ===
gkl (0.8.6+dfsg-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sun, 10 Mar 2019 14:26:46 +0000
