=== debian/changelog ===
gkl (0.8.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Freshen patches.
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * fix_debian_build.patch doesn't need forwarding.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 05 Jan 2021 19:12:09 +0100

gkl (0.8.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Switch libgkl-java to "Architecture: all" and
    demote libgkl-jni to a Recommends from Depends.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 17 Nov 2020 23:51:34 +0100
