=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: java
 Priority: optional
 Build-Depends: default-jdk (>= 2:1.9~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                javahelper,
                gradle-debian-helper,
                maven-repo-helper,
@@ -16,19 +16,18 @@
                libhtsjdk-java (>=2.14.3~),
                libgatk-native-bindings-java,
                cmake
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/java-team/gkl
 Vcs-Git: https://salsa.debian.org/java-team/gkl.git
 Homepage: https://github.com/Intel-HLS/GKL
-
+Rules-Requires-Root: no
 
 Package: libgkl-java
-Architecture: amd64
-Section: java
+Architecture: all
 Depends: ${misc:Depends},
-         ${maven:Depends},
-         libgkl-jni
+         ${maven:Depends}
 Recommends: ${java:Recommends},
+            libgkl-jni
 Description: Java library to manipulate SAM and BAM files
  Java library with optimized versions of compute kernels used in genomics
  applications like GATK and HTSJDK.
@@ -46,5 +45,4 @@
  These kernels are optimized to run on Intel Architecture
  (AVX, AVX2, AVX-512, multicore, and FPGA) under 64-bit Linux.
  .
- This package contains the native libraries used by libglk-java
-
+ This package contains the x86 native libraries used by libglk-java
