=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 	dh  $@ --buildsystem=gradle --with javahelper,jh_maven_repo_helper
 
 override_dh_auto_build:
-	dh_auto_build -- jar 
+	dh_auto_build -- jar
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Tests do not work with locales with a different decimal separator
-	# (for example ',') 
+	# (for example ',')
 	env LC_ALL=C \
 	# disable unit tests waiting for testng fix in jcommander not found
 	#dh_auto_build -- test
@@ -41,4 +41,3 @@
 	| sed -e 's/[[:space:]]\+/ /g;s/,$$/\n/' \
 	>> debian/bd.substvars
 	dh_gencontrol -O--buildsystem=gradle -- -Tdebian/bd.substvars
-
