=== debian/changelog ===
gkl (0.8.9+dfsg-4) unstable; urgency=medium

  * Marking the autopkgtest as Architecture: amd64 instead

 -- Pierre Gruet <pgt@debian.org>  Sat, 19 Feb 2022 07:44:58 +0100

gkl (0.8.9+dfsg-3) unstable; urgency=medium

  * Marking the autopkgtest with skip-not-installable, for non-amd64 arches

 -- Pierre Gruet <pgt@debian.org>  Fri, 18 Feb 2022 21:34:58 +0100

gkl (0.8.9+dfsg-2) unstable; urgency=medium

  * Adding an autopkgtest
  * Letting the section of the jni package be 'java'

 -- Pierre Gruet <pgt@debian.org>  Fri, 18 Feb 2022 13:48:53 +0100

gkl (0.8.9+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.9+dfsg
  * Correcting the d/watch search pattern, which previously featured incorrect
    version numbers
  * Refreshing the list of files to exclude when repacking
  * Refreshing d/copyright
  * Adding myself as uploader
  * Removing now useless versioned dependencies
  * Removing d/gbp.conf
  * Refreshing patch
  * Removing now useless parts of d/rules
  * Adding commons-io in the build-dependencies, classpath and POM file
  * Adding a hack to always have the right upstream version number in our
    Debian-provided POM file
  * Running build-time tests, previously deactivated, again
  * Don't run cmakeBuild twice, as a failure would occur when launching
    the tests
  * Correcting a mismatched Lintian override

 -- Pierre Gruet <pgt@debian.org>  Fri, 24 Dec 2021 16:07:47 +0100

gkl (0.8.7+dfsg-3) unstable; urgency=medium

  * Team upload
  * Marking the -java package as Multi-Arch: foreign
  * Correcting a path in the classpath of the built jar

 -- Pierre Gruet <pgt@debian.org>  Sat, 04 Dec 2021 09:45:35 +0100

gkl (0.8.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * Setting Standards version to 4.6.0 (no change)
  * Adding ${java:Depends} and libgatk-native-bindings-java in the dependencies
    in d/control

 -- Pierre Gruet <pgt@debian.org>  Fri, 03 Dec 2021 14:49:28 +0100
