=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gkl
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Olivier Sallou <osallou@debian.org>
+Uploaders: Olivier Sallou <osallou@debian.org>,
+           Pierre Gruet <pgt@debian.org>
 Section: java
 Priority: optional
-Build-Depends: default-jdk (>= 2:1.9~),
+Build-Depends: default-jdk,
                debhelper-compat (= 13),
                javahelper,
                gradle-debian-helper,
@@ -12,11 +13,12 @@
                zlib1g-dev,
                testng,
                default-jdk-doc,
+               libcommons-io-java,
                liblog4j2-java,
-               libhtsjdk-java (>=2.14.3~),
+               libhtsjdk-java,
                libgatk-native-bindings-java,
                cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/java-team/gkl
 Vcs-Git: https://salsa.debian.org/java-team/gkl.git
 Homepage: https://github.com/Intel-HLS/GKL
@@ -25,9 +27,12 @@
 Package: libgkl-java
 Architecture: all
 Depends: ${misc:Depends},
-         ${maven:Depends}
+         ${maven:Depends},
+         ${java:Depends},
+         libgatk-native-bindings-java
 Recommends: ${java:Recommends},
             libgkl-jni
+Multi-Arch: foreign
 Description: Java library to manipulate SAM and BAM files
  Java library with optimized versions of compute kernels used in genomics
  applications like GATK and HTSJDK.
@@ -36,7 +41,6 @@
 
 Package: libgkl-jni
 Architecture: amd64
-Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: native libraries of Java library to manipulate SAM and BAM files
