=== debian/tests/control ===
Tests: run-unit-test
Depends: @, default-jdk, testng
Architecture: amd64
# libgkl-jni cannot currently be built on non-amd64 arches.
